CVE-2018-5383

NameCVE-2018-5383
DescriptionBluetooth firmware or operating system software drivers in macOS versions before 10.13, High Sierra and iOS versions before 11.4, and Android versions before the 2018-06-05 patch may not sufficiently validate elliptic curve parameters used to generate public keys during a Diffie-Hellman key exchange, which may allow a remote attacker to obtain the encryption key used by the device.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1747-1
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firmware-nonfree (PTS)jessie/non-free0.43vulnerable
stretch/non-free20161130-5fixed
buster/non-free20190114-2fixed
bullseye/non-free, sid/non-free20190717-2fixed
jessie/non-free (security)20161130-5~deb8u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firmware-nonfreesource(unstable)20190114-1medium
firmware-nonfreesourcejessie20161130-5~deb8u1mediumDLA-1747-1
firmware-nonfreesourcestretch20161130-5medium

Notes

http://www.cs.technion.ac.il/~biham/BT/

Search for package or bug name: Reporting problems